
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 增收赋能
 */

import { request } from '../index'

// 增收赋能列表
const lists = () =>{
	return request({
		url		: "empower/index"
	})
}

// 增收赋能详情
const info = id => {
	return request({
		url		: "empower/" + id + "/show"
	})
}

// 下单前置
const buyInit = id => {
	return request({
		url		: "empower/" + id + "/buy/init",
		method	: "POST"
	})
}

// 下单购买
const buy = data => {
	return request({
		url		: "empower/buy/order",
		method	: "POST",
		data
	})
}

export {
	lists,
	info,
	buyInit,
	buy
}
